Bug 102024 - FORMAT_FEATURE_SAMPLED_IMAGE_BIT not supported for D16_UNORM and D32_SFLOAT
Summary: FORMAT_FEATURE_SAMPLED_IMAGE_BIT not supported for D16_UNORM and D32_SFLOAT
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/intel (show other bugs)
Version: git
Hardware: Other Linux (All)
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-03 08:42 UTC by pierre.krieger1708
Modified: 2017-08-07 16:01 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pierre.krieger1708 2017-08-03 08:42:40 UTC
According to section `32.3.3. Required Format Support` of the Vulkan specs, the `VK_FORMAT_D32_SFLOAT` and `VK_FORMAT_D16_UNORM` formats must support the `VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT` usage.

However the driver doesn't report this usage on my Ivy Bridge (Intel Core i5-3210M).

More generally the driver doesn't report any depth/stencil format that supports `SAMPLED_IMAGE_BIT`, which makes it a bit limiting for shadowmaps for example.
Comment 1 Jason Ekstrand 2017-08-04 03:06:14 UTC
Patch on the list:

https://patchwork.freedesktop.org/patch/170291/
Comment 2 Jason Ekstrand 2017-08-07 16:01:09 UTC
Fixed by the following commit in master:

commit 06d3115bb97740a4c8f36c645944a8bd0bde3f68
Author: Jason Ekstrand <jason.ekstrand@intel.com>
Date:   Thu Aug 3 19:58:24 2017 -0700

    anv/formats: Allow sampling on depth-only formats on gen7
    
    We can't sample from depth-stencil formats but on gen7 but we can sample
    from depth-only formats.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=102024
    Reviewed-by: Juan A. Suarez Romero <jasuarez@igalia.com>
    Cc: mesa-stable@lists.freedesktop.org


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.